
hirom  ; don't change this
header  ; comment out if your rom has no header

org $C2151E  ; location in v1.0 or v1.1
;org $C21519  ; location in SFC version
exit:
C2151E:	RTS

C2151F:	TYX
C21520: JSR $298A  ; v1.0 or v1.1
;C21520:	JSR $2985  ; SFC only
C21523:	LDA #$FF
C21525:	STA $B7  ; null graphic index in case Sketch misses
C21527:	LDA #$AA  ; Sketch special effect
REPLACE1:  ; one JSR replaces two instructions
C21529:	JSR $17F0  ; v1.0 or v1.1
;C21529:	JSR $17EB  ; SFC only
;C21529:	STA $11A9  ; store special effect, then execute Sketch action
;C2152A:	JSR $317B  ; v1.0 or v1.1
;C2152A:	JSR $3176  ; SFC only
C2152C:	LDY $3417  ; get Sketch target
C2152F:	BMI exit  ; exit if nonexistent
C21531:	STX $3417  ; save attacker as Sketcher
C21534:	LDA $3C81,Y  ; copy Special attack data from Sketchee...
C21537:	STA $3C81,X  ; ...to Sketcher
C2153A:	LDA $322D,Y
C2153D:	STA $322D,X
C21540:	STZ $3415  ; force random targeting
C21543:	LDA $3400  ; secondary spell ID
C21546:	STA $B6  ; copy to current spell
C21548:	LDA #$FF
C2154A:	STA $3400  ; null secondary spell
C2154D:	LDA #$01
C2154F:	TSB $B2

perform_enemy_command:
C21551:	LDA $B6
C21553:	JSR $1DBF  ; v1.0 or v1.1
;C21553:	JSR $1DBA  ; SFC only
	JSR $03B9  ; replace Roulette with Enemy Roulette

org $C2158B  ; location in v1.0 or v1.1
;org $C21586  ; location in SFC version
;org $C2158E  ; v1.0 or v1.1 w/"Mute steals Rage statuses fix" patch
;org $C21589  ; SFC w/"Mute steals Rage statuses fix" patch
C2158B:	JSR perform_enemy_command  ; without Assassin's patch
;C2158B:	JMP perform_enemy_command  ; with the patch

org $C21984  ; location in v1.0 or v1.1
;org $C2197F  ; location in SFC version
C21984:	JMP perform_enemy_command

org $C2198B  ; location in v1.0 or v1.1
;org $C21986  ; location in SFC version
	LDA #$20
	TSB $11A4  ; set unblockable
C21990:	LDA #$A6

effect_and_magic_damage:
C21992:	STA $11A9  ; Control special effect
C21995:	LDA #$01
C21997:	TRB $11A2  ; set to magic damage
;REMOVED1:
;	LDA #$20
;	TSB $11A4
C2199A:	JMP $317B  ; v1.0 or v1.1
;C2199A:	JMP $3176  ; SFC only

C2199D:	TYX
C2199E:	JSR $298A  ; v1.0 or v1.1
;C2199E:	JSR $2985  ; SFC only
	LDA #$40
	STA $BB
C219A5:	LDA #$A8
REPLACE2:  ; one instruction replaces six
C219A7:	BRA effect_and_magic_damage
;	STA $11A9
;	LDA #$01
;	TRB $11A2
;	LDA #$40
;	STA $BB
;	JMP $317B  ; v1.0 or v1.1
;	JMP $3176  ; SFC only

	NOP
	NOP
	NOP
	NOP
	NOP

enemy_roulette:  ; comment out these two instructions if reversing
	LDA #$01
	TRB $B3

org $C21A03  ; location in v1.0 or v1.1
;org $C219FE  ; location in SFC version
DW enemy_roulette

org $C231D3  ; location in v1.0 or v1.1
;org $C231CE  ; location in SFC version
	LDA $3A7C  ; get command
	PHA  ; save it for later
	LDA $B3  ; is command either Enemy Roulette or a Blitz fail?
	LSR A
	BCS random_target_check  ; branch if not
	LDA #$1E  ; get Enemy Roulette command code
	STA $01,S  ; overwrite previous command
	BRA attack_name_display  ; skip forced random target check

random_target_check:
C231E2:	LDA $3415
C231E5:	BMI no_random_targets
C231E7:	LDA #$40
C231E9:	TSB $BA

no_random_targets:
;REMOVED2:
;	LDA $B3
;	LSR A
;	BCS attack_name_display
;	LDA #$04
;	TSB $BA
;	STZ $B8
;	STZ $B9

attack_name_display:
C231EB:	JSR $3666  ; v1.0 or v1.1
;C231EB:	JSR $3661  ; SFC only
C231EE:	LDA $3417  ; get Sketcher
C231F1:	BMI restore_command  ; if not null...
C231F3:	TAX  ; ...make them the attacker

restore_command:
REPLACE3:  ; one instruction replaces one
C231F4:	PLA
;C231F4:	LDA $3A7C